Last Comment Bug 755793 - Allow for drawing in the window titlebar for Australis
: Allow for drawing in the window titlebar for Australis
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: Thunderbird 17.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
: 607628 (view as bug list)
Depends on: 763308 771816 774167 787654
Blocks: 733854
  Show dependency treegraph
 
Reported: 2012-05-16 09:34 PDT by Mike Conley (:mconley) - (needinfo me!)
Modified: 2012-11-23 22:01 PST (History)
11 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
first try (1.32 KB, patch)
2012-05-16 10:09 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Splinter Review
patch (v2) (1.49 KB, patch)
2012-05-17 08:37 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Splinter Review
patch (v2) (1.59 KB, patch)
2012-05-17 08:43 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Splinter Review
patch (v3) (2.94 KB, patch)
2012-05-21 07:16 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Splinter Review
patch (v4) (3.68 KB, patch)
2012-05-21 12:01 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Splinter Review
patch (v4.1) (3.79 KB, patch)
2012-05-21 12:20 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Splinter Review
patch (v5) (3.85 KB, patch)
2012-05-22 05:34 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Splinter Review
patch (v6) (4.31 KB, patch)
2012-05-23 06:14 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Splinter Review
Checkpointing work (9.93 KB, patch)
2012-06-15 08:22 PDT, Mike Conley (:mconley) - (needinfo me!)
no flags Details | Diff | Splinter Review
patch v7 (needs patch from bug 763308 first applied) (13.26 KB, patch)
2012-06-16 05:51 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
screenshot of actual patch (63.97 KB, image/png)
2012-06-16 06:06 PDT, Richard Marti (:Paenglab)
no flags Details
patch v8 (needs patch from bug 763308 first applied) (12.96 KB, patch)
2012-06-17 07:37 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
Patch v9 (25.16 KB, patch)
2012-06-19 08:52 PDT, Mike Conley (:mconley) - (needinfo me!)
no flags Details | Diff | Splinter Review
patch for review (18.06 KB, patch)
2012-06-23 09:23 PDT, Richard Marti (:Paenglab)
bugs: ui‑review+
Details | Diff | Splinter Review
screenshot (65.63 KB, image/png)
2012-06-26 03:31 PDT, Richard Marti (:Paenglab)
no flags Details
Patch v11 (17.89 KB, patch)
2012-07-05 08:53 PDT, Richard Marti (:Paenglab)
mconley: review+
richard.marti: ui‑review+
Details | Diff | Splinter Review
Patch for check-in (17.82 KB, patch)
2012-07-05 10:21 PDT, Richard Marti (:Paenglab)
richard.marti: review+
richard.marti: ui‑review+
Details | Diff | Splinter Review
Fix preprocessor stuff for pinstripe / Linux (23.77 KB, patch)
2012-07-06 10:40 PDT, Mike Conley (:mconley) - (needinfo me!)
mconley: review+
Details | Diff | Splinter Review
Aurora backout patch (17.49 KB, patch)
2012-07-17 07:59 PDT, Mike Conley (:mconley) - (needinfo me!)
no flags Details | Diff | Splinter Review
Aurora backout patch (17.51 KB, patch)
2012-07-17 09:30 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
mail.tabs.drawInTitlebar enabled with Zune Desktop Theme (29.04 KB, image/png)
2012-08-31 03:02 PDT, Szabolcs Hubai (:xabolcs)
no flags Details
mail.tabs.drawInTitlebar disabled with Zune Desktop Theme (30.73 KB, image/png)
2012-08-31 03:05 PDT, Szabolcs Hubai (:xabolcs)
no flags Details

Description Mike Conley (:mconley) - (needinfo me!) 2012-05-16 09:34:19 PDT

    
Comment 1 Mike Conley (:mconley) - (needinfo me!) 2012-05-16 09:35:42 PDT
Whoops, forgot description.

Basically, for Australis we want to be able to draw in the window titlebar, so that we can do away with the window icon / title, and move our tabs into the freed real-estate.
Comment 2 Andreas Nilsson (:andreasn) 2012-05-16 09:53:48 PDT
Mental notes to self (trunk is building):
on window xul:
* chromemargin: 0,2,2,2;
* padding-top: 20px;

#messengerWindow {
  -moz-binding: url("chrome://global/content/bindings/toolbar.xml#toolbar-drag");
}

#tabs-toolbar {
  -moz-binding: url("chrome://global/content/bindings/toolbar.xml#toolbar-drag");
}
Comment 3 Andreas Nilsson (:andreasn) 2012-05-16 10:09:00 PDT
Created attachment 624433 [details] [diff] [review]
first try

Initial stab
Comment 4 Andreas Nilsson (:andreasn) 2012-05-16 10:11:00 PDT
Known issues:
* Personas hides the min-max-close buttons
* Need to skip the top padding when window is maximized.
Comment 5 Andreas Nilsson (:andreasn) 2012-05-17 07:32:41 PDT
If anyone runs this patch DON'T MAXIMIZE.
It's apparently quite hard to get back again.
Comment 6 Andreas Nilsson (:andreasn) 2012-05-17 08:24:53 PDT
(In reply to Andreas Nilsson (:andreasn) from comment #5)
> If anyone runs this patch DON'T MAXIMIZE.
> It's apparently quite hard to get back again.

Actually, false alarm. That was with a newer version of this patch where I had introduced a bunch of randomly exploding things.
Comment 7 Andreas Nilsson (:andreasn) 2012-05-17 08:37:39 PDT
Created attachment 624753 [details] [diff] [review]
patch (v2)

Checkpoint before I start adding in exploding stuff.
Comment 8 Andreas Nilsson (:andreasn) 2012-05-17 08:43:56 PDT
Created attachment 624758 [details] [diff] [review]
patch (v2)
Comment 9 Andreas Nilsson (:andreasn) 2012-05-21 07:16:22 PDT
Created attachment 625635 [details] [diff] [review]
patch (v3)

This fixes the issues with the basic and classic themes so that we now get windows controls for that (only the minimize button works so far though).
Comment 10 Andreas Nilsson (:andreasn) 2012-05-21 12:01:42 PDT
Created attachment 625716 [details] [diff] [review]
patch (v4)

This allows for lightweight themes to work, for some reason currently incompatible with -moz-binding: url("chrome://global/content/bindings/toolbar.xml#toolbar-drag"); so that's commented out for now.
Comment 11 Andreas Nilsson (:andreasn) 2012-05-21 12:20:52 PDT
Created attachment 625719 [details] [diff] [review]
patch (v4.1)

Allow dragging in tabs toolbar and using lwtheme now, but currently don't work for Aero.
Comment 12 Andreas Nilsson (:andreasn) 2012-05-22 05:34:07 PDT
Created attachment 625979 [details] [diff] [review]
patch (v5)

All dragging works now, still some small quirks with the lwtheme window buttons though.
Comment 13 Andreas Nilsson (:andreasn) 2012-05-23 06:14:50 PDT
Created attachment 626411 [details] [diff] [review]
patch (v6)

Just a small update allowing the maximize/resize and close buttons work in Basic under Win7.
Comment 14 Mike Conley (:mconley) - (needinfo me!) 2012-06-15 07:05:00 PDT
Paenglab mentioned that we'll want to port Firefox's TabsInTitleBar to Thunderbird, so I'm going to try to do that today.
Comment 15 Mike Conley (:mconley) - (needinfo me!) 2012-06-15 08:22:33 PDT
Created attachment 633537 [details] [diff] [review]
Checkpointing work

Checkpointing work, and stashing patch on Bugzilla so I can move it over to my Windows machine.
Comment 16 Richard Marti (:Paenglab) 2012-06-16 05:51:13 PDT
Created attachment 633799 [details] [diff] [review]
patch v7 (needs patch from bug 763308 first applied)

This is a patch with all needed XUL (I added the #ifdef CAN_DRAW_IN_TITLEBAR) and CSS changes. But still with a fixed margin-bottom of -12px for the titlebar. This needs to be dynamic for the different heights on different themes.

Not included in this patch is Mikes patch to calculate the captionButtonsBox width.

Mike, I saw you are also calculating the margin-bottom for the titlebar, right? In shorlander's mockups there is always a space of 16px between the window top and the tabs. Could you please attend this in this calculation? I would say margin-bottom= -(titlebar height - 16px) should do the trick.
Comment 17 Richard Marti (:Paenglab) 2012-06-16 06:06:54 PDT
Created attachment 633801 [details]
screenshot of actual patch

I know, the tabbar buttons on the right collide with the caption buttons. This is due the missing width calculation of the captionButtonsBox.
Also the space between the window top and the tabs isn't correct.
Comment 18 Richard Marti (:Paenglab) 2012-06-16 08:22:26 PDT
Mike, I forgot to write before, when you calculate the titlebar margin-bottom, could you set the margin when in #main-window[sizemode="maximized"] the gap is only 2px? When in maximized we don't need the gap of 16px for easier mouse grab to move the window.
Comment 19 Richard Marti (:Paenglab) 2012-06-16 15:16:50 PDT
(In reply to Mike Conley (:mconley) from comment #15)
> Created attachment 633537 [details] [diff] [review]
> Checkpointing work
> 
> Checkpointing work, and stashing patch on Bugzilla so I can move it over to
> my Windows machine.

Mike, I tried your patch. When I start TB non-maximized then the calculations aren't done. When I maximize TB the calculations are done. The margin-bottom for the titlebar is only applied when maximied.
Comment 20 Richard Marti (:Paenglab) 2012-06-17 07:37:50 PDT
Created attachment 633898 [details] [diff] [review]
patch v8 (needs patch from bug 763308 first applied)

Fixed some margins to position the captionButtons on the right height.
Comment 21 Mike Conley (:mconley) - (needinfo me!) 2012-06-19 08:52:17 PDT
Created attachment 634452 [details] [diff] [review]
Patch v9

Ok, I think we've got a working port here.

Does this work for you, Richard?
Comment 22 Richard Marti (:Paenglab) 2012-06-19 11:55:55 PDT
I still see the problem I wrote in comment 19. I tried also the pref mail.tabs.drawInTitlebar set to false. The only change I see is the spacer box for the windowCaptions has a width of 0px. I see also never a attribute of tabsintitlebar="true" on #messengerWindow.

Do we need a pref to choose between normal and draw in titlebar or should we hard code the draw in titlebar? When we hard code then we need no pref and all the calculations for the spacer box and the negative margin on titlebar should be done all the time.
Comment 23 Richard Marti (:Paenglab) 2012-06-19 12:20:32 PDT
I asked Andreas on IRC and he thinks, no pref is needed.
Comment 24 Mike Conley (:mconley) - (needinfo me!) 2012-06-20 08:28:52 PDT
(In reply to Richard Marti [:paenglab] from comment #22)
> I still see the problem I wrote in comment 19.

Ah yeah, I'm seeing that too. Investigating a fix...
Comment 25 Mike Conley (:mconley) - (needinfo me!) 2012-06-20 08:29:31 PDT
(In reply to Richard Marti [:paenglab] from comment #23)
> I asked Andreas on IRC and he thinks, no pref is needed.

So you're suggesting we axe the mail.tabs.drawInTitlebar pref?
Comment 26 Mike Conley (:mconley) - (needinfo me!) 2012-06-20 09:03:22 PDT
(In reply to Mike Conley (:mconley) from comment #24)
> (In reply to Richard Marti [:paenglab] from comment #22)
> > I still see the problem I wrote in comment 19.
> 
> Ah yeah, I'm seeing that too. Investigating a fix...

Richard:

So it looks like this issue is caused because there's a rule for #titlebar in mailWindow1.css that's causing margin-bottom to be -12px initially.

If you remove the margin-bottom rule, does this fix the issue for you?

-Mike
Comment 27 Mike Conley (:mconley) - (needinfo me!) 2012-06-20 09:06:38 PDT
Hm, nevermind. That seems to break the maximized case. :/
Comment 28 Richard Marti (:Paenglab) 2012-06-20 09:32:58 PDT
(In reply to Mike Conley (:mconley) from comment #25)
> (In reply to Richard Marti [:paenglab] from comment #23)
> > I asked Andreas on IRC and he thinks, no pref is needed.
> 
> So you're suggesting we axe the mail.tabs.drawInTitlebar pref?

Yes, the draw in titlebar would be always enabled. Australis has this also on non-maximized windows.

> So it looks like this issue is caused because there's a rule for #titlebar
> in mailWindow1.css that's causing margin-bottom to be -12px initially.

When the automatic calculation works also in non-maximized mode then this rule can be removed.
Comment 29 Richard Marti (:Paenglab) 2012-06-23 09:23:44 PDT
Created attachment 636093 [details] [diff] [review]
patch for review

Okay, let's go this patch through review.

Mike, please check my changes in JS carefully. You know I'm a noob in JS :)
Comment 30 Andreas Nilsson (:andreasn) 2012-06-26 02:48:38 PDT
Thing are looking really good!

I've noticed that under both Aero and Basic there is a difference between the edges and the area for the tabs and window controls, but this can be addressed in a followup patch.

Richard: If I recall correctly you have a XP VM. Can you post a screenshot how the patch looks under XP? I've only tried it it compability mode.
Comment 31 Richard Marti (:Paenglab) 2012-06-26 03:31:26 PDT
Created attachment 636645 [details]
screenshot

This is from a original XP. Thanks to my empoyer ;)
Comment 32 Andreas Nilsson (:andreasn) 2012-06-26 06:40:48 PDT
Comment on attachment 636093 [details] [diff] [review]
patch for review

Thanks for the screenshots!
ui-review approved.
Comment 33 Mike Conley (:mconley) - (needinfo me!) 2012-07-05 07:44:23 PDT
Comment on attachment 636093 [details] [diff] [review]
patch for review

Review of attachment 636093 [details] [diff] [review]:
-----------------------------------------------------------------

This looks good - just one nit, and and a question. See below.

::: mail/base/content/msgMail3PaneWindow.js
@@ +1601,5 @@
> +      if (event.target != window)
> +        return;
> +      let sizemode = document.documentElement.getAttribute("sizemode");
> +      TabsInTitlebar.allowedBy("sizemode",
> +                                sizemode == "normal" ||

Hrm. I think sizemode can only have the values "normal", "maximized" and "fullscreen", so essentially, we're saying allowedBy("sizemode", true).

In Firefox's implementation of TabsInTitlebar, they don't have sizemode == "normal" in there...

What happens if we remove this? Do things still work as expected?

(And, before you say it - I know, I'm likely the person who added sizemode == "normal". But I'm not entirely sure it's necessary anymore).

::: mail/themes/qute/mail/mailWindow1.css
@@ +396,5 @@
> +    background-color: InactiveCaption;
> +  }
> +}
> +
> +/* Luna silver needs special colors. Default don't look good */

Grammar nit: should be "doesn't", not "don't".
Comment 34 Richard Marti (:Paenglab) 2012-07-05 08:53:45 PDT
Created attachment 639362 [details] [diff] [review]
Patch v11

(In reply to Mike Conley (:mconley) from comment #33)
> Comment on attachment 636093 [details] [diff] [review]
> Hrm. I think sizemode can only have the values "normal", "maximized" and
> "fullscreen", so essentially, we're saying allowedBy("sizemode", true).

It works with ("sizemode", true). Changed to this in new patch.

> > +/* Luna silver needs special colors. Default don't look good */
> 
> Grammar nit: should be "doesn't", not "don't".

fixed

Taking over ui-r+ from previous patch.
Comment 35 Mike Conley (:mconley) - (needinfo me!) 2012-07-05 09:11:17 PDT
(In reply to Richard Marti [:paenglab] from comment #34)
> Created attachment 639362 [details] [diff] [review]
> Patch v11
> 
> (In reply to Mike Conley (:mconley) from comment #33)
> > Comment on attachment 636093 [details] [diff] [review]
> > Hrm. I think sizemode can only have the values "normal", "maximized" and
> > "fullscreen", so essentially, we're saying allowedBy("sizemode", true).
> 
> It works with ("sizemode", true). Changed to this in new patch.

Yeah, it works, but *should* it? Like, shouldn't we be doing what Firefox does and set allowedBy to only be when sizemode is maximized / fullscreen?

Does it work with just those two?
Comment 36 Richard Marti (:Paenglab) 2012-07-05 09:48:07 PDT
(In reply to Mike Conley (:mconley) from comment #35)
> Yeah, it works, but *should* it? Like, shouldn't we be doing what Firefox
> does and set allowedBy to only be when sizemode is maximized / fullscreen?
> 
> Does it work with just those two?

I'd say it should also be in normal mode.

When you look at http://25.media.tumblr.com/tumblr_m0iwtyy6nh1qkoea4o1_1280.png you see it's a window in normal mode. Also on http://people.mozilla.com/~shorlander/files/australis-designSpecs/australis-designSpecs-windowsXP-lunaBlue-mainWindow.html and the other XP color pages or http://people.mozilla.com/~shorlander/files/australis-designSpecs/australis-designSpecs-windows7-mainWindow.html you can see the windows in draw in titlebar mode. On the Win7 page you can also see a image with "Tabs in a Maximized Window".

The only problem I'm seeing is on XP with menu enabled. I think the menu should be placed below the tabs like on Win7 and not on top in the titlebar. For this I'm planning to open a bug after this bug's landing.
Comment 37 Mike Conley (:mconley) - (needinfo me!) 2012-07-05 09:53:11 PDT
Comment on attachment 639362 [details] [diff] [review]
Patch v11

Review of attachment 639362 [details] [diff] [review]:
-----------------------------------------------------------------

(In reply to Richard Marti [:paenglab] from comment #36)
> (In reply to Mike Conley (:mconley) from comment #35)
> > Yeah, it works, but *should* it? Like, shouldn't we be doing what Firefox
> > does and set allowedBy to only be when sizemode is maximized / fullscreen?
> > 
> > Does it work with just those two?
> 
> I'd say it should also be in normal mode.
> 
> When you look at
> http://25.media.tumblr.com/tumblr_m0iwtyy6nh1qkoea4o1_1280.png you see it's
> a window in normal mode. Also on
> http://people.mozilla.com/~shorlander/files/australis-designSpecs/australis-
> designSpecs-windowsXP-lunaBlue-mainWindow.html and the other XP color pages
> or
> http://people.mozilla.com/~shorlander/files/australis-designSpecs/australis-
> designSpecs-windows7-mainWindow.html you can see the windows in draw in
> titlebar mode. On the Win7 page you can also see a image with "Tabs in a
> Maximized Window".
> 
> The only problem I'm seeing is on XP with menu enabled. I think the menu
> should be placed below the tabs like on Win7 and not on top in the titlebar.
> For this I'm planning to open a bug after this bug's landing.

Ah, fair enough, I was going off of what was currently in Firefox's implementation. 

Ok, on that note, just one final fix, and then r=me.

Great job Richard, as usual.

::: mail/base/content/msgMail3PaneWindow.js
@@ +1599,5 @@
> +    this.allowedBy("sizemode", false);
> +    window.addEventListener("resize", function (event) {
> +      if (event.target != window)
> +        return;
> +      let sizemode = document.documentElement.getAttribute("sizemode");

Since we're not checking the window's sizemode anymore, we can get rid of line 1603.
Comment 38 Richard Marti (:Paenglab) 2012-07-05 10:21:06 PDT
Created attachment 639388 [details] [diff] [review]
Patch for check-in

Patch addressing the last comment.

Taking the r+ and ui-r+ from previous patch.
Comment 39 Ryan VanderMeulen [:RyanVM] 2012-07-05 18:42:38 PDT
https://hg.mozilla.org/comm-central/rev/106c1726c7d7
Comment 40 Mark Banner (:standard8) 2012-07-06 01:44:32 PDT
Sorry, but I had to back this out due to test failures on Mac and Linux

https://hg.mozilla.org/comm-central/rev/a9ea38d7a17c

https://tbpl.mozilla.org/php/getParsedLog.php?id=13278934&tree=Thunderbird-Trunk

TEST-START | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-port-setting.js | teardownModule
Test Failure: You need to specify a tab!
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-port-setting.js | test-account-port-setting.js::teardownModule
Comment 41 Mike Conley (:mconley) - (needinfo me!) 2012-07-06 10:40:27 PDT
Created attachment 639721 [details] [diff] [review]
Fix preprocessor stuff for pinstripe / Linux

Grrr - I forgot that we were using preprocessor stuff here, and forgot to test on Linux and OSX (since this patch really doesn't affect them).

Anyhow, that's what broke us - in the case where CAN_DRAW_IN_TITLEBAR is false, we rendered busted Javascript.
Comment 42 Mike Conley (:mconley) - (needinfo me!) 2012-07-06 11:07:30 PDT
Comment on attachment 639721 [details] [diff] [review]
Fix preprocessor stuff for pinstripe / Linux

Blake:

I already reviewed Paenglab's version of this, but I had to modify it by adding some more preprocessor stuff in TabsInTitlebar.

rs me?

-Mike
Comment 43 Mike Conley (:mconley) - (needinfo me!) 2012-07-06 11:09:38 PDT
Comment on attachment 639721 [details] [diff] [review]
Fix preprocessor stuff for pinstripe / Linux

rs=bwinton on this.

I think we're OK to mark this as checkin-needed now.
Comment 44 Ryan VanderMeulen [:RyanVM] 2012-07-07 07:28:24 PDT
https://hg.mozilla.org/comm-central/rev/855bb70eb2c7
Comment 45 Mike Conley (:mconley) - (needinfo me!) 2012-07-16 11:42:30 PDT
Marking this as tracking TB 16, because we want to back it out once we hit the Aurora channel.
Comment 46 Mike Conley (:mconley) - (needinfo me!) 2012-07-17 07:59:32 PDT
Created attachment 642954 [details] [diff] [review]
Aurora backout patch

Paenglab:

Here's the backout patch - but it doesn't apply cleanly. It seems to conflict with changes in primaryToolbar-aero.css.

Can you resolve the conflict?

-Mike
Comment 47 Richard Marti (:Paenglab) 2012-07-17 09:30:28 PDT
Created attachment 642999 [details] [diff] [review]
Aurora backout patch

Bug 767162 made the problem. Patch adapted for this change.
Comment 48 Mike Conley (:mconley) - (needinfo me!) 2012-07-17 13:33:34 PDT
Backed out of comm-aurora (TB 16): https://hg.mozilla.org/releases/comm-aurora/rev/6c2c3ee473c6
Comment 49 Szabolcs Hubai (:xabolcs) 2012-08-31 03:02:53 PDT
Created attachment 657201 [details]
mail.tabs.drawInTitlebar enabled with Zune Desktop Theme

Just wanted to note that drawing in titlebar causes unreadable visuals
with the official Zune theme [1].


[1]: http://go.microsoft.com/fwlink/?LinkID=75078
Comment 50 Szabolcs Hubai (:xabolcs) 2012-08-31 03:05:10 PDT
Created attachment 657202 [details]
mail.tabs.drawInTitlebar disabled with Zune Desktop Theme

Of course, it's all OK if mail.tabs.drawInTitlebar disabled.
Comment 51 Richard Marti (:Paenglab) 2012-08-31 03:09:21 PDT
It looks I haven't the official Zune theme. Please can you open a new bug and CC me to it?
Comment 52 Andreas Nilsson (:andreasn) 2012-08-31 07:11:26 PDT
Is the Zune theme specific only to Vista? I don't seem to see it in Win7.
Comment 53 Richard Marti (:Paenglab) 2012-08-31 07:17:15 PDT
Zune is Win XP.
Comment 54 jonrandy 2012-11-20 22:12:52 PST
Fixed? This looks awful in Windows XP using any custom theme I have tried. The title bar simply is not being drawn - it is showing as the colour of the menu background. The work being done on Firefox to implement the Australis design looks to be working well with custom themes - I'm guessing similar has not been done here?

I can turn the 'draw in titlebar' off for now, but it would be nice if it worked as I would like the tabs up there. Also, turning this on by default without warning seemed a poor decision as it looks so bad on some systems
Comment 55 Blake Winton (:bwinton) (:☕️) 2012-11-21 06:32:12 PST
Hi Jonrandy,

what you describe sounds like a different issue to me, but one I would like to see fixed.  Could you please file a new bug, cc-ing Paneglab and I, listing the steps you take to see the issue, what you see, and what you expected to see?

(Also, if you could avoid phrases like "looks awful" in the new bug, that would make it easier for me to convince people to help fix it…  :)

Thank you,
Blake.
Comment 56 Wayne Mery (:wsmwk, NI for questions) 2012-11-23 22:01:17 PST
*** Bug 607628 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.